/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMTRAMITEV")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmtramitev.findAll", query = "SELECT t FROM Tarmtramitev t"),
    @NamedQuery(name = "Tarmtramitev.findByCtramite", query = "SELECT t FROM Tarmtramitev t WHERE t.ctramite = :ctramite"),
    @NamedQuery(name = "Tarmtramitev.findByTipotramite", query = "SELECT t FROM Tarmtramitev t WHERE t.tipotramite = :tipotramite"),
    @NamedQuery(name = "Tarmtramitev.findByDesTipotramite", query = "SELECT t FROM Tarmtramitev t WHERE t.desTipotramite = :desTipotramite"),
    @NamedQuery(name = "Tarmtramitev.findByTipoautorizacion", query = "SELECT t FROM Tarmtramitev t WHERE t.tipoautorizacion = :tipoautorizacion"),
    @NamedQuery(name = "Tarmtramitev.findByDesTipoautorizacion", query = "SELECT t FROM Tarmtramitev t WHERE t.desTipoautorizacion = :desTipoautorizacion"),
    @NamedQuery(name = "Tarmtramitev.findByCategoria", query = "SELECT t FROM Tarmtramitev t WHERE t.categoria = :categoria"),
    @NamedQuery(name = "Tarmtramitev.findByDesCategoria", query = "SELECT t FROM Tarmtramitev t WHERE t.desCategoria = :desCategoria"),
    @NamedQuery(name = "Tarmtramitev.findByUsoactividad", query = "SELECT t FROM Tarmtramitev t WHERE t.usoactividad = :usoactividad"),
    @NamedQuery(name = "Tarmtramitev.findByDesUsoactividad", query = "SELECT t FROM Tarmtramitev t WHERE t.desUsoactividad = :desUsoactividad"),
    @NamedQuery(name = "Tarmtramitev.findByVigencia", query = "SELECT t FROM Tarmtramitev t WHERE t.vigencia = :vigencia"),
    @NamedQuery(name = "Tarmtramitev.findByDesVigencia", query = "SELECT t FROM Tarmtramitev t WHERE t.desVigencia = :desVigencia"),
    @NamedQuery(name = "Tarmtramitev.findByTipocosto", query = "SELECT t FROM Tarmtramitev t WHERE t.tipocosto = :tipocosto"),
    @NamedQuery(name = "Tarmtramitev.findByDesTipocosto", query = "SELECT t FROM Tarmtramitev t WHERE t.desTipocosto = :desTipocosto"),
    @NamedQuery(name = "Tarmtramitev.findByTipoarchivo", query = "SELECT t FROM Tarmtramitev t WHERE t.tipoarchivo = :tipoarchivo"),
    @NamedQuery(name = "Tarmtramitev.findByDesTipoarchivo", query = "SELECT t FROM Tarmtramitev t WHERE t.desTipoarchivo = :desTipoarchivo"),
    @NamedQuery(name = "Tarmtramitev.findByCosto", query = "SELECT t FROM Tarmtramitev t WHERE t.costo = :costo"),
    @NamedQuery(name = "Tarmtramitev.findByRegistroguardia", query = "SELECT t FROM Tarmtramitev t WHERE t.registroguardia = :registroguardia"),
    @NamedQuery(name = "Tarmtramitev.findByRegistroarmas", query = "SELECT t FROM Tarmtramitev t WHERE t.registroarmas = :registroarmas"),
    @NamedQuery(name = "Tarmtramitev.findByRegistroagenciasucursal", query = "SELECT t FROM Tarmtramitev t WHERE t.registroagenciasucursal = :registroagenciasucursal"),
    @NamedQuery(name = "Tarmtramitev.findByRequiereevaluacion", query = "SELECT t FROM Tarmtramitev t WHERE t.requiereevaluacion = :requiereevaluacion"),
    @NamedQuery(name = "Tarmtramitev.findByRequiereinspeccion", query = "SELECT t FROM Tarmtramitev t WHERE t.requiereinspeccion = :requiereinspeccion"),
    @NamedQuery(name = "Tarmtramitev.findByDocumentohabilitante", query = "SELECT t FROM Tarmtramitev t WHERE t.documentohabilitante = :documentohabilitante"),
    @NamedQuery(name = "Tarmtramitev.findByRecordversion", query = "SELECT t FROM Tarmtramitev t WHERE t.recordversion = :recordversion"),
    @NamedQuery(name = "Tarmtramitev.findByCabecera", query = "SELECT t FROM Tarmtramitev t WHERE t.cabecera = :cabecera"),
    @NamedQuery(name = "Tarmtramitev.findByPie", query = "SELECT t FROM Tarmtramitev t WHERE t.pie = :pie"),
    @NamedQuery(name = "Tarmtramitev.findByCostocustodio", query = "SELECT t FROM Tarmtramitev t WHERE t.costocustodio = :costocustodio"),
    @NamedQuery(name = "Tarmtramitev.findByMulta", query = "SELECT t FROM Tarmtramitev t WHERE t.multa = :multa"),
    @NamedQuery(name = "Tarmtramitev.findByFlujotramite", query = "SELECT t FROM Tarmtramitev t WHERE t.flujotramite = :flujotramite"),
    @NamedQuery(name = "Tarmtramitev.findByDesFlujotramite", query = "SELECT t FROM Tarmtramitev t WHERE t.desFlujotramite = :desFlujotramite"),
    @NamedQuery(name = "Tarmtramitev.findByReimpresion", query = "SELECT t FROM Tarmtramitev t WHERE t.reimpresion = :reimpresion"),
    @NamedQuery(name = "Tarmtramitev.findByNumeromaxarmas", query = "SELECT t FROM Tarmtramitev t WHERE t.numeromaxarmas = :numeromaxarmas"),
    @NamedQuery(name = "Tarmtramitev.findByEstados", query = "SELECT t FROM Tarmtramitev t WHERE t.estados = :estados"),
    @NamedQuery(name = "Tarmtramitev.findByCtramitepadre", query = "SELECT t FROM Tarmtramitev t WHERE t.ctramitepadre = :ctramitepadre"),
    @NamedQuery(name = "Tarmtramitev.findByLogo", query = "SELECT t FROM Tarmtramitev t WHERE t.logo = :logo"),
    @NamedQuery(name = "Tarmtramitev.findByTipopersona", query = "SELECT t FROM Tarmtramitev t WHERE t.tipopersona = :tipopersona"),
    @NamedQuery(name = "Tarmtramitev.findByDesTipopersona", query = "SELECT t FROM Tarmtramitev t WHERE t.desTipopersona = :desTipopersona"),
    @NamedQuery(name = "Tarmtramitev.findBySancionable", query = "SELECT t FROM Tarmtramitev t WHERE t.sancionable = :sancionable"),
    @NamedQuery(name = "Tarmtramitev.findByEstadofinarma", query = "SELECT t FROM Tarmtramitev t WHERE t.estadofinarma = :estadofinarma"),
    @NamedQuery(name = "Tarmtramitev.findByClase", query = "SELECT t FROM Tarmtramitev t WHERE t.clase = :clase"),
    @NamedQuery(name = "Tarmtramitev.findByCtramitepadrealt", query = "SELECT t FROM Tarmtramitev t WHERE t.ctramitepadrealt = :ctramitepadrealt"),
    @NamedQuery(name = "Tarmtramitev.findByValidacaducidadpadre", query = "SELECT t FROM Tarmtramitev t WHERE t.validacaducidadpadre = :validacaducidadpadre"),
    @NamedQuery(name = "Tarmtramitev.findByValidacaducidadpadrealt", query = "SELECT t FROM Tarmtramitev t WHERE t.validacaducidadpadrealt = :validacaducidadpadrealt"),
    @NamedQuery(name = "Tarmtramitev.findByValidafechaexpiracion", query = "SELECT t FROM Tarmtramitev t WHERE t.validafechaexpiracion = :validafechaexpiracion"),
    @NamedQuery(name = "Tarmtramitev.findByVisualizarporfechaexpiracion", query = "SELECT t FROM Tarmtramitev t WHERE t.visualizarporfechaexpiracion = :visualizarporfechaexpiracion"),
    @NamedQuery(name = "Tarmtramitev.findByJurisdiccion", query = "SELECT t FROM Tarmtramitev t WHERE t.jurisdiccion = :jurisdiccion"),
    @NamedQuery(name = "Tarmtramitev.findByDesJurisdiccion", query = "SELECT t FROM Tarmtramitev t WHERE t.desJurisdiccion = :desJurisdiccion"),
    @NamedQuery(name = "Tarmtramitev.findByTipofabricacion", query = "SELECT t FROM Tarmtramitev t WHERE t.tipofabricacion = :tipofabricacion")})
public class Tarmtramitev implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @Column(name = "CTRAMITE")
    private long ctramite;
    @Basic(optional = false)
    @Column(name = "TIPOTRAMITE")
    private String tipotramite;
    @Column(name = "DES_TIPOTRAMITE")
    private String desTipotramite;
    @Basic(optional = false)
    @Column(name = "TIPOAUTORIZACION")
    private String tipoautorizacion;
    @Column(name = "DES_TIPOAUTORIZACION")
    private String desTipoautorizacion;
    @Basic(optional = false)
    @Column(name = "CATEGORIA")
    private String categoria;
    @Column(name = "DES_CATEGORIA")
    private String desCategoria;
    @Basic(optional = false)
    @Column(name = "USOACTIVIDAD")
    private String usoactividad;
    @Column(name = "DES_USOACTIVIDAD")
    private String desUsoactividad;
    @Basic(optional = false)
    @Column(name = "VIGENCIA")
    private String vigencia;
    @Column(name = "DES_VIGENCIA")
    private String desVigencia;
    @Basic(optional = false)
    @Column(name = "TIPOCOSTO")
    private String tipocosto;
    @Column(name = "DES_TIPOCOSTO")
    private String desTipocosto;
    @Basic(optional = false)
    @Column(name = "TIPOARCHIVO")
    private String tipoarchivo;
    @Column(name = "DES_TIPOARCHIVO")
    private String desTipoarchivo;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "COSTO")
    private BigDecimal costo;
    @Column(name = "REGISTROGUARDIA")
    private String registroguardia;
    @Column(name = "REGISTROARMAS")
    private String registroarmas;
    @Column(name = "REGISTROAGENCIASUCURSAL")
    private String registroagenciasucursal;
    @Column(name = "REQUIEREEVALUACION")
    private String requiereevaluacion;
    @Column(name = "REQUIEREINSPECCION")
    private String requiereinspeccion;
    @Column(name = "DOCUMENTOHABILITANTE")
    private String documentohabilitante;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;
    @Column(name = "CABECERA")
    private String cabecera;
    @Column(name = "PIE")
    private String pie;
    @Column(name = "COSTOCUSTODIO")
    private BigDecimal costocustodio;
    @Column(name = "MULTA")
    private BigDecimal multa;
    @Column(name = "FLUJOTRAMITE")
    private String flujotramite;
    @Column(name = "DES_FLUJOTRAMITE")
    private String desFlujotramite;
    @Column(name = "REIMPRESION")
    private String reimpresion;
    @Column(name = "NUMEROMAXARMAS")
    private BigInteger numeromaxarmas;
    @Column(name = "ESTADOS")
    private String estados;
    @Column(name = "CTRAMITEPADRE")
    private Long ctramitepadre;
    @Column(name = "LOGO")
    private String logo;
    @Column(name = "TIPOPERSONA")
    private String tipopersona;
    @Column(name = "DES_TIPOPERSONA")
    private String desTipopersona;
    @Column(name = "SANCIONABLE")
    private String sancionable;
    @Column(name = "ESTADOFINARMA")
    private String estadofinarma;
    @Column(name = "CLASE")
    private String clase;
    @Column(name = "CTRAMITEPADREALT")
    private Long ctramitepadrealt;
    @Column(name = "VALIDACADUCIDADPADRE")
    private String validacaducidadpadre;
    @Column(name = "VALIDACADUCIDADPADREALT")
    private String validacaducidadpadrealt;
    @Column(name = "VALIDAFECHAEXPIRACION")
    private String validafechaexpiracion;
    @Column(name = "VISUALIZARPORFECHAEXPIRACION")
    private String visualizarporfechaexpiracion;
    @Column(name = "JURISDICCION")
    private String jurisdiccion;
    @Column(name = "DES_JURISDICCION")
    private String desJurisdiccion;
    @Column(name = "TIPOFABRICACION")
    private String tipofabricacion;

    public Tarmtramitev() {
    }

    public long getCtramite() {
        return ctramite;
    }

    public void setCtramite(long ctramite) {
        this.ctramite = ctramite;
    }

    public String getTipotramite() {
        return tipotramite;
    }

    public void setTipotramite(String tipotramite) {
        this.tipotramite = tipotramite;
    }

    public String getDesTipotramite() {
        return desTipotramite;
    }

    public void setDesTipotramite(String desTipotramite) {
        this.desTipotramite = desTipotramite;
    }

    public String getTipoautorizacion() {
        return tipoautorizacion;
    }

    public void setTipoautorizacion(String tipoautorizacion) {
        this.tipoautorizacion = tipoautorizacion;
    }

    public String getDesTipoautorizacion() {
        return desTipoautorizacion;
    }

    public void setDesTipoautorizacion(String desTipoautorizacion) {
        this.desTipoautorizacion = desTipoautorizacion;
    }

    public String getCategoria() {
        return categoria;
    }

    public void setCategoria(String categoria) {
        this.categoria = categoria;
    }

    public String getDesCategoria() {
        return desCategoria;
    }

    public void setDesCategoria(String desCategoria) {
        this.desCategoria = desCategoria;
    }

    public String getUsoactividad() {
        return usoactividad;
    }

    public void setUsoactividad(String usoactividad) {
        this.usoactividad = usoactividad;
    }

    public String getDesUsoactividad() {
        return desUsoactividad;
    }

    public void setDesUsoactividad(String desUsoactividad) {
        this.desUsoactividad = desUsoactividad;
    }

    public String getVigencia() {
        return vigencia;
    }

    public void setVigencia(String vigencia) {
        this.vigencia = vigencia;
    }

    public String getDesVigencia() {
        return desVigencia;
    }

    public void setDesVigencia(String desVigencia) {
        this.desVigencia = desVigencia;
    }

    public String getTipocosto() {
        return tipocosto;
    }

    public void setTipocosto(String tipocosto) {
        this.tipocosto = tipocosto;
    }

    public String getDesTipocosto() {
        return desTipocosto;
    }

    public void setDesTipocosto(String desTipocosto) {
        this.desTipocosto = desTipocosto;
    }

    public String getTipoarchivo() {
        return tipoarchivo;
    }

    public void setTipoarchivo(String tipoarchivo) {
        this.tipoarchivo = tipoarchivo;
    }

    public String getDesTipoarchivo() {
        return desTipoarchivo;
    }

    public void setDesTipoarchivo(String desTipoarchivo) {
        this.desTipoarchivo = desTipoarchivo;
    }

    public BigDecimal getCosto() {
        return costo;
    }

    public void setCosto(BigDecimal costo) {
        this.costo = costo;
    }

    public String getRegistroguardia() {
        return registroguardia;
    }

    public void setRegistroguardia(String registroguardia) {
        this.registroguardia = registroguardia;
    }

    public String getRegistroarmas() {
        return registroarmas;
    }

    public void setRegistroarmas(String registroarmas) {
        this.registroarmas = registroarmas;
    }

    public String getRegistroagenciasucursal() {
        return registroagenciasucursal;
    }

    public void setRegistroagenciasucursal(String registroagenciasucursal) {
        this.registroagenciasucursal = registroagenciasucursal;
    }

    public String getRequiereevaluacion() {
        return requiereevaluacion;
    }

    public void setRequiereevaluacion(String requiereevaluacion) {
        this.requiereevaluacion = requiereevaluacion;
    }

    public String getRequiereinspeccion() {
        return requiereinspeccion;
    }

    public void setRequiereinspeccion(String requiereinspeccion) {
        this.requiereinspeccion = requiereinspeccion;
    }

    public String getDocumentohabilitante() {
        return documentohabilitante;
    }

    public void setDocumentohabilitante(String documentohabilitante) {
        this.documentohabilitante = documentohabilitante;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    public String getCabecera() {
        return cabecera;
    }

    public void setCabecera(String cabecera) {
        this.cabecera = cabecera;
    }

    public String getPie() {
        return pie;
    }

    public void setPie(String pie) {
        this.pie = pie;
    }

    public BigDecimal getCostocustodio() {
        return costocustodio;
    }

    public void setCostocustodio(BigDecimal costocustodio) {
        this.costocustodio = costocustodio;
    }

    public BigDecimal getMulta() {
        return multa;
    }

    public void setMulta(BigDecimal multa) {
        this.multa = multa;
    }

    public String getFlujotramite() {
        return flujotramite;
    }

    public void setFlujotramite(String flujotramite) {
        this.flujotramite = flujotramite;
    }

    public String getDesFlujotramite() {
        return desFlujotramite;
    }

    public void setDesFlujotramite(String desFlujotramite) {
        this.desFlujotramite = desFlujotramite;
    }

    public String getReimpresion() {
        return reimpresion;
    }

    public void setReimpresion(String reimpresion) {
        this.reimpresion = reimpresion;
    }

    public BigInteger getNumeromaxarmas() {
        return numeromaxarmas;
    }

    public void setNumeromaxarmas(BigInteger numeromaxarmas) {
        this.numeromaxarmas = numeromaxarmas;
    }

    public String getEstados() {
        return estados;
    }

    public void setEstados(String estados) {
        this.estados = estados;
    }

    public Long getCtramitepadre() {
        return ctramitepadre;
    }

    public void setCtramitepadre(Long ctramitepadre) {
        this.ctramitepadre = ctramitepadre;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getTipopersona() {
        return tipopersona;
    }

    public void setTipopersona(String tipopersona) {
        this.tipopersona = tipopersona;
    }

    public String getDesTipopersona() {
        return desTipopersona;
    }

    public void setDesTipopersona(String desTipopersona) {
        this.desTipopersona = desTipopersona;
    }

    public String getSancionable() {
        return sancionable;
    }

    public void setSancionable(String sancionable) {
        this.sancionable = sancionable;
    }

    public String getEstadofinarma() {
        return estadofinarma;
    }

    public void setEstadofinarma(String estadofinarma) {
        this.estadofinarma = estadofinarma;
    }

    public String getClase() {
        return clase;
    }

    public void setClase(String clase) {
        this.clase = clase;
    }

    public Long getCtramitepadrealt() {
        return ctramitepadrealt;
    }

    public void setCtramitepadrealt(Long ctramitepadrealt) {
        this.ctramitepadrealt = ctramitepadrealt;
    }

    public String getValidacaducidadpadre() {
        return validacaducidadpadre;
    }

    public void setValidacaducidadpadre(String validacaducidadpadre) {
        this.validacaducidadpadre = validacaducidadpadre;
    }

    public String getValidacaducidadpadrealt() {
        return validacaducidadpadrealt;
    }

    public void setValidacaducidadpadrealt(String validacaducidadpadrealt) {
        this.validacaducidadpadrealt = validacaducidadpadrealt;
    }

    public String getValidafechaexpiracion() {
        return validafechaexpiracion;
    }

    public void setValidafechaexpiracion(String validafechaexpiracion) {
        this.validafechaexpiracion = validafechaexpiracion;
    }

    public String getVisualizarporfechaexpiracion() {
        return visualizarporfechaexpiracion;
    }

    public void setVisualizarporfechaexpiracion(String visualizarporfechaexpiracion) {
        this.visualizarporfechaexpiracion = visualizarporfechaexpiracion;
    }

    public String getJurisdiccion() {
        return jurisdiccion;
    }

    public void setJurisdiccion(String jurisdiccion) {
        this.jurisdiccion = jurisdiccion;
    }

    public String getDesJurisdiccion() {
        return desJurisdiccion;
    }

    public void setDesJurisdiccion(String desJurisdiccion) {
        this.desJurisdiccion = desJurisdiccion;
    }

    public String getTipofabricacion() {
        return tipofabricacion;
    }

    public void setTipofabricacion(String tipofabricacion) {
        this.tipofabricacion = tipofabricacion;
    }
    
}
